<%= render 'share/option_status' %>
<!-- Begin -->
<div class="container-profile">
    <div class="col-sm-4 col-lg-5 ">
    	<%= image_tag(@user.avatar, class: "medium avatar-profile photo img-circle")%>
    </div>
	<div class=" col-sm-7 col-lg-7 col-sm-offset-5 col-lg-offset-3">
        <% if current_user.id == @user.id %>
            <form class="col-lg-13 follow-profile">
              <%= link_to "Edit Profile", edit_user_registration_path, class: "edit-button"%>
            </form>
        <%else%>
            <% if current_user.following.include? @user %>
                <div class = "follow-profile">
                    <%= link_to "Following", unfollow_user_path, remote: true, class: 'btn unfollow-button', id: 'unfollow-button', method: :post %>
                </div>
                
            <%else%>
                <div class="follow-profile">
                <%= link_to "Follow", follow_user_path, remote: true, class: 'btn unfollow-button', id: 'follow-button', method: :post %>
                </div>
            <%end%>
        <%end%>
		<div class="name-profile">
			<%= @user.full_name %>
		</div>
        <% if notice %><div class="alert alert-info col-lg-6"><%= notice %></div><% end %>
        <ul class="nav nav-pills col-lg-12 col-sm-12">
            <li class="active"><a data-toggle="pill" href="" data-target="#photo" ><%= @photos_size.to_s + " PHOTOS"%></a></li>
            <li><a data-toggle="pill" data-target="#album" href="" ><%= @albums_size.to_s + " ALBUMS" %></a></li>
            <li><a data-toggle="pill" data-target="#following" href="" ><%=@following_size.to_s + " FOLLOWING" %></a></li>
            <li><a data-toggle="pill" data-target="#followers" href="" ><%=@followers_size.to_s + " FOLLOWERS" %></a></li>
        </ul>
	 </div>		
	<!--TO DO: if user onclick another link, the system will respone  -->
</div>
<div class="row">
    <div class="tab-content">
        <div id="photo" class="tab-pane fade in active">
            <%= render 'photos/show_photo', photo: @photos %>
        </div>
        <div id="album" class="tab-pane fade">
            <%= render 'albums/show_album', album: @albums %>
        </div>

        <div id="followers" class="tab-pane fade ">
            <%= render 'share/show_follower', follow_relation: @followers %>
        </div>
        <div id="following" class="tab-pane fade ">
            <%= render 'share/show_follower', follow_relation: @following %>
        </div>
    </div>
</div>
<!-- Begin: -->
